Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Interface ISVNLogEntryHandler

All Known Implementing Classes:
  SVNXMLLogHandler

public interface ISVNLogEntryHandler

The ISVNLogEntryHandler interface should be implemented in order to handle per revision commit information (in a kind of a revisions history operation)- log entries (represented by SVNLogEntry objects).

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `SVNLogEntry`

Method Summary
`void` | `handleLogEntry(SVNLogEntry logEntry)` Handles a log entry passed.

Method Detail

### handleLogEntry

    public void handleLogEntry(SVNLogEntry logEntry)
                        throws SVNException

  Handles a log entry passed.

  Parameters:
    `logEntry` - an `SVNLogEntry` object that represents per revision information (committed paths, log message, etc.)
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.